## loadlin 1.6a-4

=== initrd/Makefile ===
CC = gcc
CFLAGS = -m386 -O2  -fomit-frame-pointer -static

ifneq (1,$(shell if grep __ELF__ `gcc -v 2>&1|head -n1|cut -d' ' -f4` 1>/dev/null 2>&1;then echo -n 1;fi))
  @echo ""; \
   echo "needing ELF development tools, giving up";
  exit 1;
endif

all: initdisk freeramdisk Makefile

linuxrc: linuxrc.c
	$(CC) $(CFLAGS) -o linuxrc linuxrc.c

initdisk: linuxrc Makefile freeramdisk mkdisk
	mkdisk linuxrc

freeramdisk: freeramdisk.c
	$(CC) -m386 -O2 -o freeramdisk freeramdisk.c

clean:
	rm -f hello initdisk freeramdisk *~ *.o linuxrc

## loadlin 1.6a-3

=== debian/changelog ===
loadlin (1.6a-3) frozen unstable; urgency=low

  * Update to standards version 2.4.0.0.
  * Strip freeramdisk binary.
  * Install link for freeramdisk manpage.

 -- Martin Mitchell <martin@debian.org>  Wed,  1 Apr 1998 01:21:45 +1000

loadlin (1.6a-2) unstable; urgency=low

  * Fix strange permissions in installed docs. (#14436)
  * Upstream changelog installed correctly. (#9663)

 -- Martin Mitchell <martin@debian.org>  Tue,  4 Nov 1997 16:42:07 +1100

loadlin (1.6a-1) unstable; urgency=low

  * New maintainer.
  * Update to loadlin 1.6a.

 -- Martin Mitchell <martin@debian.org>  Wed, 29 Oct 1997 16:01:36 +1100

loadlin (1.6-2.1) unstable; urgency=low

  * Non-maintainer release.
  * Libc6 compile. (freeramdisk)
  * Fix typo in README.debian.

 -- Martin Mitchell <martin@debian.org>  Wed, 29 Oct 1997 01:52:50 +1100

loadlin (1.6-2) unstable; urgency=low

  * remove x bit for loadlin.exe
  * Use debmake
  * Fix bug #5087

 -- Christoph Lameter <clameter@debian.org>  Sat, 8 Feb 1997 19:31:22 -0800

loadlin (1.6-1) unstable; urgency=high

  * Initial Release

 -- Christoph Lameter <clameter@debian.org>  Tue, 1 Oct 1996 09:00:00 +0800

Local variables:
mode: debian-changelog
End:
 

=== debian/control ===
Source: loadlin
Section: misc
Priority: standard
Maintainer: Martin Mitchell <martin@debian.org>
Standards-Version: 2.4.0.0

Package: loadlin
Architecture: i386
Depends: ${shlibs:Depends}
Description: a loader (running under DOS) for LINUX kernel images
 LOADLIN-1.6 is highly adaptable to different DOS configurations, and now
 has very few loading restrictions. It makes use of extended memory and
 also can load big kernels (bzImages) and ramdisk images (initrd)
 directly high.
 .
 LOADLIN also can load out of Virtual-86 mode (which is normal when
 using EMS drivers) if a VCPI server is present.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

package=loadlin

build:
	$(checkdir)
	cd initrd;make freeramdisk
	touch build

clean:
	$(checkdir)
	-rm -f build
	-cd initrd;make clean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/files* debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/usr/doc/loadlin debian/tmp/DEBIAN
	install -d debian/tmp/usr/man/man8 debian/tmp/usr/sbin debian/tmp/usr/lib/loadlin
	install -s initrd/freeramdisk debian/tmp/usr/sbin
	cd debian/tmp/usr/man/man8 && ln -s ../man7/undocumented.7.gz freeramdisk.8.gz
	install -m 644 loadlin.exe.gz debian/tmp/usr/lib/loadlin
	install -m 644 doc/changes doc/*.txt doc/quick* doc/*.lsm readme.1st debian/tmp/usr/doc/loadlin
	install -m 644 debian/changelog debian/tmp/usr/doc/loadlin/changelog.Debian
	gzip -9v debian/tmp/usr/doc/loadlin/*
	mkdir debian/tmp/usr/doc/loadlin/examples
	install -m 644 initrd.tgz test.par linux.bat debian/tmp/usr/doc/loadlin/examples
	install -m 644 debian/{copyright,README.debian} debian/tmp/usr/doc/loadlin
	cp debian/control debian/tmp/DEBIAN
	dpkg-shlibdeps debian/tmp/usr/sbin/freeramdisk
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f loadlin.exe.gz -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## loadlin 1.6a-4

=== debian/changelog ===
loadlin (1.6a-4) frozen unstable; urgency=low

  * Update to standards version 2.4.1.
  * Fix lintian changelog error.
  * Update copyright information.

 -- Martin Mitchell <martin@debian.org>  Wed, 21 Oct 1998 03:17:54 +1000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: loadlin
-Section: misc
+Section: admin
 Priority: standard
 Maintainer: Martin Mitchell <martin@debian.org>
-Standards-Version: 2.4.0.0
+Standards-Version: 2.4.1
 
 Package: loadlin
 Architecture: i386

=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,7 @@
 	install -m 644 doc/changes doc/*.txt doc/quick* doc/*.lsm readme.1st debian/tmp/usr/doc/loadlin
 	install -m 644 debian/changelog debian/tmp/usr/doc/loadlin/changelog.Debian
 	gzip -9v debian/tmp/usr/doc/loadlin/*
+	( cd debian/tmp/usr/doc/loadlin && ln -s changes.gz changelog.gz )
 	mkdir debian/tmp/usr/doc/loadlin/examples
 	install -m 644 initrd.tgz test.par linux.bat debian/tmp/usr/doc/loadlin/examples
 	install -m 644 debian/{copyright,README.debian} debian/tmp/usr/doc/loadlin

## loadlin 1.6a-6

=== debian/changelog ===
loadlin (1.6a-6) unstable; urgency=low

  * Set priority to optional.

 -- Martin Mitchell <martin@debian.org>  Sun,  8 Apr 2001 21:11:58 +1000

loadlin (1.6a-5) unstable; urgency=low

  * Update to standards version 3.5.2. (closes: #91569, #91202)
  * Enhance description to include freeramdisk. (closes: #49878)
  * Move freeramdisk to /sbin. (closes: #88420)

 -- Martin Mitchell <martin@debian.org>  Tue, 27 Mar 2001 19:31:39 +1000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: loadlin
 Section: admin
-Priority: standard
+Priority: optional
 Maintainer: Martin Mitchell <martin@debian.org>
-Standards-Version: 2.4.1
+Standards-Version: 3.5.2
 
 Package: loadlin
 Architecture: i386
@@ -15,4 +15,6 @@
  .
  LOADLIN also can load out of Virtual-86 mode (which is normal when
  using EMS drivers) if a VCPI server is present.
-
+ .
+ The loadlin package also includes the freeramdisk program, which can
+ return memory to the system when a ramdisk is no longer needed.

=== debian/rules ===
--- 
+++ 
@@ -36,21 +36,21 @@
 binary-arch:	checkroot build
 	$(checkdir)
 	-rm -rf debian/tmp
-	install -d debian/tmp/usr/doc/loadlin debian/tmp/DEBIAN
-	install -d debian/tmp/usr/man/man8 debian/tmp/usr/sbin debian/tmp/usr/lib/loadlin
-	install -s initrd/freeramdisk debian/tmp/usr/sbin
-	cd debian/tmp/usr/man/man8 && ln -s ../man7/undocumented.7.gz freeramdisk.8.gz
+	install -d debian/tmp/usr/share/doc/loadlin debian/tmp/DEBIAN
+	install -d debian/tmp/usr/share/man/man8 debian/tmp/sbin debian/tmp/usr/lib/loadlin
+	install -s initrd/freeramdisk debian/tmp/sbin
+	cd debian/tmp/usr/share/man/man8 && ln -s ../man7/undocumented.7.gz freeramdisk.8.gz
 	install -m 644 loadlin.exe.gz debian/tmp/usr/lib/loadlin
-	install -m 644 doc/changes doc/*.txt doc/quick* doc/*.lsm readme.1st debian/tmp/usr/doc/loadlin
-	install -m 644 debian/changelog debian/tmp/usr/doc/loadlin/changelog.Debian
-	gzip -9v debian/tmp/usr/doc/loadlin/*
-	( cd debian/tmp/usr/doc/loadlin && ln -s changes.gz changelog.gz )
-	mkdir debian/tmp/usr/doc/loadlin/examples
-	install -m 644 initrd.tgz test.par linux.bat debian/tmp/usr/doc/loadlin/examples
-	install -m 644 debian/{copyright,README.debian} debian/tmp/usr/doc/loadlin
+	install -m 644 doc/changes doc/*.txt doc/quick* doc/*.lsm readme.1st debian/tmp/usr/share/doc/loadlin
+	install -m 644 debian/changelog debian/tmp/usr/share/doc/loadlin/changelog.Debian
+	gzip -9v debian/tmp/usr/share/doc/loadlin/*
+	( cd debian/tmp/usr/share/doc/loadlin && ln -s changes.gz changelog.gz )
+	mkdir debian/tmp/usr/share/doc/loadlin/examples
+	install -m 644 initrd.tgz test.par linux.bat debian/tmp/usr/share/doc/loadlin/examples
+	install -m 644 debian/{copyright,README.debian} debian/tmp/usr/share/doc/loadlin
 	cp debian/control debian/tmp/DEBIAN
-	dpkg-shlibdeps debian/tmp/usr/sbin/freeramdisk
-	dpkg-gencontrol
+	dpkg-shlibdeps debian/tmp/sbin/freeramdisk
+	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp
 	dpkg --build debian/tmp ..

## loadlin 1.6c-0.4

=== initrd/Makefile ===
CC = gcc
CFLAGS = -march=i386 -O2  -fomit-frame-pointer -static

#ifneq (1,$(shell echo __ELF__|gcc -E -|grep -v '^\#'))
#$(error need ELF development tools, giving up)
#endif

all: initdisk freeramdisk Makefile

linuxrc: linuxrc.c
	$(CC) $(CFLAGS) -o linuxrc linuxrc.c

initdisk: linuxrc Makefile freeramdisk mkdisk
	mkdisk linuxrc

freeramdisk: freeramdisk.c
	$(CC) -march=i386 -O2 -o freeramdisk freeramdisk.c

clean:
	rm -f hello initdisk freeramdisk *~ *.o linuxrc

=== debian/changelog ===
loadlin (1.6c-0.4) unstable; urgency=low

  * Uploading with maintainer set to QA group
  * debian/rules: don't create link to undocumented manpage

 -- Andrew Pollock <apollock@debian.org>  Sun, 15 Feb 2004 16:12:10 +1100

loadlin (1.6c-0.3) unstable; urgency=low

  * NMU to fix an RC bug.
    + Rebuild to fix depends on libc6 (Closes: #202884).
  
 -- Sebastien Bacher <seb128@debian.org>  Wed,  6 Aug 2003 23:04:45 +0200

loadlin (1.6c-0.2) unstable; urgency=low

  * NMU, Part II
  * Commented insane gcc checks in initrd/Makefile, we do already ensure the
    conditions by Build-Deps, Thanks to Daniel Schepler (Closes: #194825)
  * Forgotten close tag in the last NMU (Closes: #163098)

 -- Eduard Bloch <blade@debian.org>  Fri, 25 Jul 2003 15:08:00 +0200

loadlin (1.6c-0.1) unstable; urgency=low

  * NMU, no reaction from maintainer for more than 280 days
  * New upstream version (Closes: #123203, #134569, #137486, #140608, #142421)
  * initrd/Makefile: added missing \, though I wonder why GNU make does
    not break on this (Closes: #194825)
  * debian/rules: swapped changelog.gz and changes.gz to make lintian quiet
  * debian/control: updated standards version

 -- Eduard Bloch <blade@debian.org>  Mon, 14 Jul 2003 15:42:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: loadlin
 Section: admin
 Priority: optional
-Maintainer: Martin Mitchell <martin@debian.org>
-Standards-Version: 3.5.2
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 3.5.8
 
 Package: loadlin
 Architecture: i386

=== debian/rules ===
--- 
+++ 
@@ -39,12 +39,12 @@
 	install -d debian/tmp/usr/share/doc/loadlin debian/tmp/DEBIAN
 	install -d debian/tmp/usr/share/man/man8 debian/tmp/sbin debian/tmp/usr/lib/loadlin
 	install -s initrd/freeramdisk debian/tmp/sbin
-	cd debian/tmp/usr/share/man/man8 && ln -s ../man7/undocumented.7.gz freeramdisk.8.gz
+	#cd debian/tmp/usr/share/man/man8 && ln -s ../man7/undocumented.7.gz freeramdisk.8.gz
 	install -m 644 loadlin.exe.gz debian/tmp/usr/lib/loadlin
 	install -m 644 doc/changes doc/*.txt doc/quick* doc/*.lsm readme.1st debian/tmp/usr/share/doc/loadlin
 	install -m 644 debian/changelog debian/tmp/usr/share/doc/loadlin/changelog.Debian
 	gzip -9v debian/tmp/usr/share/doc/loadlin/*
-	( cd debian/tmp/usr/share/doc/loadlin && ln -s changes.gz changelog.gz )
+	( cd debian/tmp/usr/share/doc/loadlin && mv changes.gz changelog.gz && ln -sf changelog.gz changes.gz )
 	mkdir debian/tmp/usr/share/doc/loadlin/examples
 	install -m 644 initrd.tgz test.par linux.bat debian/tmp/usr/share/doc/loadlin/examples
 	install -m 644 debian/{copyright,README.debian} debian/tmp/usr/share/doc/loadlin

## loadlin 1.6d.nobinary

=== debian/changelog ===
loadlin (1.6d.nobinary-2ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Make put_hex static to allow building with -fstack-protector.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 09 Jul 2010 13:34:28 +0100

loadlin (1.6d.nobinary-2) unstable; urgency=low

  * debian/source/format: Switch to 3.0 (quilt).
  * debian/rules:
    - Remove inclusion of /usr/share/quilt/quilt.make
  * debian/control:
    - Add Multi-Arch: foreign header.
    - Bump Standards-Version to 3.8.3 (no change needed).
    - Remove quilt build-dependency.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2010 21:40:07 +0100

loadlin (1.6d.nobinary-1) unstable; urgency=low

  * New upstream release
    - debian/rules: No need to unpack srclinux and initrd by hand any more.
    - debian/patches/10-setupfix.patch: Remove patch, merged upstream
    - debian/patches/20-dynamic.patch: Remove patch, merged upstream
    - debian/patches/30-yasm.patch: Rename to 99-yasm.patch, fix version number.
    - debian/patch-srclinux: Remove patch, merged upstream.
    - debian/control: Add Homepage field.
    - debian/copyright: Add new maintainer homepage, address and copyright.
    - debian/loadlin.docs: Follow readme.1st -> README.1ST rename.
    - debian/loadlin.install: ramdisk is now built in place.
  * debian/control:
    - Change my email, remove DM-Upload-Allowed.
    - Bump Standards-Version to 3.8.2 (no change needed).
    - Set debhelper dependency to >= 5.
    - Add misc:Depends to loadlin's Depends.
  * debian/rules: use ytasm instead of tasm (Closes: Bug#536872)
    - debian/control: bump Build-Depend to >= 0.8.
    - New variable BYHAND to control byhand upload.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 18 Jul 2009 17:55:11 +0200

loadlin (1.6c.really1.6c.nobin-2) unstable; urgency=low

  * Instead of the .zip file, install byhand the .exe and the manual to tools/.

 -- Samuel Thibault <samuel.thibault@ens-lyon.org>  Mon, 01 Dec 2008 21:36:37 +0100

loadlin (1.6c.really1.6c.nobin-1ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable (LP: #295811), remaining Ubuntu changes:
    - debian/rules: Remove 'dpkg-distaddfile $(loadlin_zip).zip
      byhand -' so that the package gets uploaded properly.
  * Build-depend against yasm (>= 0.7.1-0ubuntu2) for TASM support.
  * Fix FTBFS with Ubuntu toolchain:
    - debian/patch-stack_protector: make put_hex function static.
    - debian/rules: apply debian/patch-stack_protector patch.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 25 Nov 2008 19:18:20 +0100

loadlin (1.6c.really1.6c.nobin-1) unstable; urgency=low

  * New maintainer. (closes: #487338)
  * Remove loadlin.exe and src/pgadjust.asm binary blobs.
  * Refactor debian/rules. (closes: #437484)
  * Add build-dependency on debhelper, cdbs and quilt
  * patches/10-setupfix.patch: New patch to extend max number of setup sectors
  to 40 to fix booting C setup.
  * patches/20-dynamic.patch and patch-srclinux: New patches to load pgadjust
  table in high memory too. (closes: #469533)
  * patches/30-yasm.patch: New patch to build loadlin.exe with yasm.
  (closes: #356055)
  * Add build-dependency on yasm (>= 0.7.0-3) for its TASM support.
  * debian/copyright: Add copyright information.
  * debian/control:
    + Set policy to 3.8.0.
    + Set DM-Upload-Allowed to yes.

 -- Samuel Thibault <samuel.thibault@ens-lyon.org>  Mon, 13 Oct 2008 01:57:45 +0200

loadlin (1.6c.really1.6c-1.2ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes (LP: #243656):
    - debian/rules: Remove 'dpkg-distaddfile $(loadlin_zip).zip
      byhand -' so that the package gets uploaded properly
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Nathan Handler <nathan.handler@gmail.com>  Fri, 27 Jun 2008 19:14:46 -0500

loadlin (1.6c.really1.6c-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed bashisms in debian/rules, using patch from Ubuntu. Closes: #382585. 

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 19 Jan 2008 17:37:51 +0100

loadlin (1.6c.really1.6c-1.1ubuntu2) gutsy; urgency=low

  * debian/rules: Remove 'dpkg-distaddfile $(loadlin_zip).zip byhand -' so
    that the package gets uploaded properly

 -- Albin Tonnerre <lut1n.tne@gmail.com>  Tue, 21 Aug 2007 15:23:21 +0200

loadlin (1.6c.really1.6c-1.1ubuntu1) gutsy; urgency=low

  * debian/rules: Remove bashisms. Fixes FTBFS

 -- Albin Tonnerre <lut1n.tne@gmail.com>  Tue, 21 Aug 2007 15:23:21 +0200

loadlin (1.6c.really1.6c-1.1) unstable; urgency=high

  * Non-maintainer upload (allowed by the maintainer, see #338318)
  * No source change. Add a call to dpkg-distaddfile so that the
    zip file in debian/tools/ will be updated (Closes: #338318)
    Based on the patch prepared by Samuel Thibault
  * Update Standards-Version to 3.7.2 (no change needed)
  * urgency=high as we need a new version of loadlin.zip in the
    tools/ directory of debian servers before the release.

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 21 Nov 2006 11:12:01 +0100

loadlin (1.6c.really1.6c-1) unstable; urgency=low

  * New upstream version: 1.6c; really for this time
      (closes: #252527, #314612, #320861)

 -- LENART Janos <ocsi@debian.org>  Mon,  8 Aug 2005 12:20:59 +0200

loadlin (1.6c.debspecfix-1) unstable; urgency=low

  * Adopted the package. (closes: #227780)
  * For some reason loadlin used to be packaged as a Debian specific
    way. Now .orig.tar.gz is really the original tar.gz. In order to
    achieve this I must have included '.debspecfix' in the upstream
    version number so the new-old source will made it into the archive.
  * Manpage for freeramdisk(8).

 -- LENART Janos <ocsi@debian.org>  Wed, 23 Mar 2005 10:03:43 +0100

loadlin (1.6c-1) unstable; urgency=low

  * QA Upload
  * debian/control - Added amd64 to Architecture list, closes: #252527.
  * debian/rules - Cleaned up various odd install commands.



=== debian/control ===
--- 
+++ 
@@ -1,12 +1,16 @@
 Source: loadlin
 Section: admin
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.5.8
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
+Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 5), cdbs, zip, yasm (>= 0.8)
+Homepage: http://youpibouh.thefreecat.org/loadlin/
 
 Package: loadlin
-Architecture: i386
-Depends: ${shlibs:Depends}
+Architecture: i386 amd64
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: a loader (running under DOS) for LINUX kernel images
  LOADLIN-1.6 is highly adaptable to different DOS configurations, and now
  has very few loading restrictions. It makes use of extended memory and

=== debian/rules ===
#!/usr/bin/make -f

DEB_TARBALL=
DEB_INSTALL_CHANGELOGS_loadlin=doc/changes

BYHAND ?= no

include /usr/share/cdbs/1/rules/debhelper.mk

CFLAGS = -Wall -g
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

build-loadlin: $(QUILT_STAMPFN)
	make -C src/srclinux
	(cd src; ytasm /b loadlin.asm, ../loadlin.exe )
	gzip -cv9 loadlin.exe >loadlin.exe.gz
	$(CC) $(CFLAGS) initrd/freeramdisk.c -o freeramdisk
	tar czf initrd.tgz initrd
	touch build-loadlin

build: build-loadlin

clean::
	dh_testdir
	dh_testroot
	$(MAKE) -C src/srclinux clean
	$(MAKE) -C initrd clean
	rm -f loadlin.exe
	rm -f loadlin.exe.gz
	rm -f freeramdisk
	rm -f initrd.tgz
	rm -f build-loadlin
	rm -rf debian/tmp debian/files* debian/substvars

binary-indep:	build
	dh_testdir
	dh_testroot
ifeq ($(BYHAND),yes)
	cp loadlin.exe ..
	dpkg-distaddfile loadlin.exe byhand -
	cp doc/manual.txt ../loadlin.txt
	dpkg-distaddfile loadlin.txt byhand -
endif

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

## loadlin 1.6e

=== debian/changelog ===
loadlin (1.6e-1ubuntu1) natty; urgency=low

  * Set BYHAND to no for Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Oct 2010 23:31:49 +0100

loadlin (1.6e-1) unstable; urgency=low

  New upstream release. Fixes VCPI support and loading >8MB kernel+initrd on
  machines with 16MiB INT15 memory. (Closes: Bug#588530)
  * debian/rules: Add refresh rule.
  * debian/control: Add Vcs-Hg field.
  * debian/control: Bump Standards-Version to 3.9.1 (no change needed).
  * debian/patches/99-yasm.patch: Update.
  * debian/rules: Set BYHAND to yes to upload new loadlin binary into
    ftp://ftp.debian.org/debian/tools/

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Aug 2010 02:51:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 5), cdbs, zip, yasm (>= 0.8)
 Homepage: http://youpibouh.thefreecat.org/loadlin/
+Vcs-Hg: http://youpibouh.thefreecat.org/loadlin/loadlin.hg/
 
 Package: loadlin
 Architecture: i386 amd64

=== debian/rules ===
--- 
+++ 
@@ -46,6 +46,9 @@
 	dpkg-distaddfile loadlin.txt byhand -
 endif
 
+refresh:
+	QUILT_PATCHES=debian/patches quilt refresh
+
 # Below here is fairly generic really
 
 binary:		binary-indep binary-arch

## loadlin 1.6f

=== initrd/Makefile ===
CC = gcc
CFLAGS = -O2  -fomit-frame-pointer

all: initdisk freeramdisk Makefile

linuxrc: linuxrc.c
	$(CC) $(CFLAGS) -static -o linuxrc linuxrc.c

initdisk: linuxrc Makefile freeramdisk mkdisk
	./mkdisk linuxrc

freeramdisk: freeramdisk.c
	$(CC) $(CFLAGS) -o freeramdisk freeramdisk.c

clean:
	rm -f hello initdisk freeramdisk *~ *.o linuxrc

=== src/srclinux/Makefile ===
IMAGE_OFFSET = 0x95010

KDIR = /usr/src/linux
HEAD = loadlinh.o
SYS_SIZE = -DSYS_SIZE=0xFFFF

OBJECTS = $(HEAD) pgadjust.o

CFLAGS = -D__KERNEL__ -march=i386 -Os -DSTDC_HEADERS -fomit-frame-pointer \
         -fno-strength-reduce -fPIC -ffreestanding -fno-stack-protector

CC=gcc -m32

all: ../pgadjust.asm Makefile
#all: testpg Makefile

../pgadjust.asm: pgadjust.out Makefile
	echo "; 32-bit code, linkaddress: $(IMAGE_OFFSET)" >pgadjust.as
	hexdump -v -e '" DD  " 8/4 "0%Xh," 1/4 "0%Xh\n"' pgadjust.out >>pgadjust.as
	perl -pe 's/\n/\r\n/' <pgadjust.as >../pgadjust.asm
	rm -f pgadjust.as

pgadjust.out: pgadjust Makefile
	objcopy -O binary pgadjust pgadjust.out
#	objdump -k -q  -o $(IMAGE_OFFSET) pgadjust > pgadjust.out
	
loadlinh.o: loadlinh.S
	$(CC) -traditional -c loadlinh.S

pgadjust: $(OBJECTS) Makefile
	ld -m elf_i386 -Ttext $(IMAGE_OFFSET) -N -e startup_32  -o pgadjust $(OBJECTS)
#                      this avoids page align ^^ (and holes between sections)

pgadjust.o: pgadjust.c
	$(CC) $(CFLAGS) -c pgadjust.c -o pgadjust.o

testpg: pgadjust.c
	$(CC) $(CFLAGS) -DSTANDALONE_DEBUG -o testpg pgadjust.c

clean:
	rm -f $(OBJECTS) ../pgadjust.asm pgadjust.out pgadjust

#       for final distrib leave pgadjust.asm in the DOS part
distclean:
	rm -f $(OBJECTS) pgadjust.out pgadjust *~
	(cd ..; mv -f loadlin.exe ..; rm -f *~ *.obj *.lst)
	(cd ..; tar -czf srclinux.tgz srclinux)

=== debian/changelog ===
loadlin (1.6f-7) unstable; urgency=medium

  * control: Bump Standards-Version to 4.4.0 (no changes).
  * source/lintian-overrides: Silence warning.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Dec 2019 13:32:24 +0100

loadlin (1.6f-6) unstable; urgency=medium

  * control: Add branch name in Vcs-Hg
  * control: Bump Standards-Version to 4.1.4 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 17 Jun 2018 14:33:01 +0200

loadlin (1.6f-5) unstable; urgency=medium

  * Ship unpacked initrd example instead of a tarball. Fixes reproducibility.
  * control: Bump Standards-Version to 3.9.7 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Feb 2016 01:05:35 +0100

loadlin (1.6f-4) unstable; urgency=low

  * rules: Make build reproducible. Thanks Chris Lamb for the patch
    (Closes: #779146)
  * Bump Standards-Version to 3.9.6 (no changes).
  * 01-hg-update: Update trivias from hg.
  * compat: Bump to 9.
  * rules: Use dh.
  * control: Bump debhelper version, drop cdbs.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Dec 2015 21:00:08 +0100

loadlin (1.6f-3) unstable; urgency=low

  * control: Build-depend on libc6-dev-i386 on amd64 only.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Jun 2013 22:00:14 +0200

loadlin (1.6f-2) unstable; urgency=low

  * debian/rules: Set BYHAND back to no.
  * debian/control: Build-depend on libc6-dev-i386 to get the 32bit version of
    bits/predefs.h on amd64 (Closes: #713676)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Jun 2013 21:21:55 +0200

loadlin (1.6f-1) unstable; urgency=low

  * New upstream release. Fixes booting the Wheezy kernels.
  * debian/rules:
    - Set BYHAND to yes, as we need a new loadlin.exe uploaded to mirrors to
    be able to boot the Wheezy kernels.
  * debian/patches/cppcheck: Drop, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 17 Sep 2012 01:42:31 +0200

loadlin (1.6e-2) unstable; urgency=low

  * debian/rules:
    - Set BYHAND to no.
    - Add proper build-arch target (Closes: #666299)
  * doc/manual.txt: Fix typo (Closes: #613635)
  * Bump Standards-Version to 3.9.3 (no change needed)
  * debian/control: Fix description.
  * debian/patches/cppcheck: Add patch to address cppcheck warnings.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Apr 2012 21:32:37 +0200

=== debian/control ===
Source: loadlin
Section: admin
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Standards-Version: 4.4.0
Build-Depends: debhelper (>= 9), zip, yasm (>= 0.8), libc6-dev-i386 [amd64]
Homepage: http://youpibouh.thefreecat.org/loadlin/
Vcs-Hg: http://youpibouh.thefreecat.org/loadlin/loadlin.hg/ -b debian

Package: loadlin
Architecture: i386 amd64
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: loader (running under DOS) for LINUX kernel images
 LOADLIN-1.6 is highly adaptable to different DOS configurations, and now
 has very few loading restrictions. It makes use of extended memory and
 also can load big kernels (bzImages) and ramdisk images (initrd)
 directly high.
 .
 LOADLIN also can load out of Virtual-86 mode (which is normal when
 using EMS drivers) if a VCPI server is present.
 .
 The loadlin package also includes the freeramdisk program, which can
 return memory to the system when a ramdisk is no longer needed.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

BUILD_DATE=$(shell dpkg-parsechangelog --show-field Date)

BYHAND ?= no

override_dh_auto_build:
	make -C src/srclinux
	(cd src; ytasm /b loadlin.asm, ../loadlin.exe )
	gzip -cv9n loadlin.exe >loadlin.exe.gz
	$(CC) $(CFLAGS) initrd/freeramdisk.c -o freeramdisk

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C src/srclinux clean
	$(MAKE) -C initrd clean

override_dh_installchangelogs:
	dh_installchangelogs doc/changes

override_dh_install:
	dh_install
ifeq ($(BYHAND),yes)
	cp loadlin.exe ..
	dpkg-distaddfile loadlin.exe byhand -
	cp doc/manual.txt ../loadlin.txt
	dpkg-distaddfile loadlin.txt byhand -
endif
